Bug 428389

Summary: monospace font is strange on gnome-terminal.
Product: [Fedora] Fedora Reporter: sangu <sangu.fedora>
Component: vteAssignee: Behdad Esfahbod <behdad>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: conradsand.fb, fonts-bugs, i18n-bugs, petersen, tagoh
Target Milestone: ---Keywords: i18n, MoveUpstream, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-10 04:00:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
monospace font rendering of gedit VS monospace font rendering of gnome-terminal. none

Description sangu 2008-01-11 04:59:14 EST
Description of problem:
LANG=ko_KR.UTF-8
monospace font is strange on gnome-terminal.
Only matched korean font glyph of monospace appear on gnome-terminal.

$ LANG=en_US.UTF-8 fc-match monospace
DejaVuLGCSansMono.ttf: "DejaVu LGC Sans Mono" "Book"

$ LANG=ko_KR.UTF-8 fc-match monospace
malgun.ttf: "Malgun Gothic" "Regular"

Version-Release number of selected component (if applicable):
vte-0.16.12-1.fc9

How reproducible:
always

Steps to Reproduce:
1. launch gnome-terminal
2. select monospace on preference.
3.
  
Actual results:


Expected results:


Additional info:
gnome-terminal-2.21.4-1.fc9
Comment 1 sangu 2008-01-11 04:59:14 EST
Created attachment 291368 [details]
monospace font rendering of gedit VS monospace font rendering of gnome-terminal.
Comment 2 Bug Zapper 2008-05-14 00:44:49 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:21:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jens Petersen 2009-06-23 02:22:51 EDT
I think this is a vte limitation: you could try using another Korean font on gnome-terminal - probably better to report this upstream.
Comment 5 Jens Petersen 2009-06-23 03:33:09 EDT
(Workaround is to use dejavu font explicitly btw.)
Comment 6 Jens Petersen 2009-07-07 00:58:34 EDT
Better to file upstream - this is a nontrivial,
but vte only seems to renders with one native font afaik.
Comment 7 Bug Zapper 2009-11-16 03:00:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 C Sand 2010-03-24 23:32:45 EDT
(In reply to comment #7)

See also Bug 508899, Bug 548034, Bug 561259, Bug 561318.

Some of the above bugs contain graphical examples of the problem.
Comment 9 Bug Zapper 2010-11-04 08:03:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Akira TAGOH 2010-11-19 03:36:24 EST
This issue is still present in f14. tested with:

vte-0.26.1-1.fc14.x86_64
Comment 11 Akira TAGOH 2012-06-06 03:24:26 EDT
still persists in f17.
Comment 12 sangu 2012-10-10 04:00:01 EDT
After updating  to nhn-nanum-gothic-coding-fonts-2.000-1.fc18 ( see also this bug 864778 ), this bug was fixed,